Aller au contenu

Pulse Authenticator API

neomia Pulse Authenticator URL

neomia Pulse Auth API URL

https://api.neomia.ai/pulse-auth

API Key

To use this API, please send your neomia Pulse API key in the headers for each request.

1
    {'apikey' : 'QUiBueAA4nazZxMDhAzpI6xdYRHM0uqG'}

Generate links enabling your users to register their biometric profiles on neomia Pulse server.

POST /api/links/create-profile/{userRef}

Request body (optional)
1
2
3
4
{
    "redirect_uri" : "https://my.page.com/",
    "validity " : 300
}
Name Description
redirect_uri Redirect the user when the transaction is completed (Optional)
validity Transaction lifetime in second (Optional)
Successful Response
1
2
3
4
5
6
7
8
{
    "link": "https://pulse-auth.neomia.ai/b/8979be199e1975cf0053658a16ae0f16b5973c3bd4dbb6235073a2d40ac9a73d62557e432643e44558b701ca723a214f",
    "key": "8979be199e1975cf0053658a16ae0f16b5973c3bd4dbb6235073a2d40ac9a73d62557e432643e44558b701ca723a214f",
    "expiresIn": 600000,
    "success": true,
    "message": "Done",
    "timestamp": "2011-11-05T14:48:00.000Z"
}
Example with CURL
1
2
3
4
5
6
7
$ curl --location 'https://api.neomia.ai/pulse-auth/api/links/create-profile/mon.user@neomia.ai' \
--header 'Content-Type: application/json' \
--header 'apikey: trJpDMhUp8HNwcU54iCLo7XsyWQvPVJwhzXbEGjPHjmkrcVZwJCJefA5D3TLQdnv6zJ' \
--data '{
    "redirect_uri" : "https://docs.neomia.ai/",
    "validity " : 300
}'

POST /api/links/reset-profile/{userRef}

Name Description
redirect_uri Redirect the user when the transaction is completed (Optional)
validity Transaction lifetime in second (Optional)
Successful Response
1
2
3
4
5
6
7
8
{
    "link": "https://pulse-auth.neomia.ai/b/3c3bd4dbb62350738979be199e1975cf0053658a16ae0f16b597a2d40ac9a73d62557e432643e44558b701ca723a214f",
    "key": "3c3bd4dbb62350738979be199e1975cf0053658a16ae0f16b597a2d40ac9a73d62557e432643e44558b701ca723a214f",
    "expiresIn": 600000,
    "success": true,
    "message": "Done",
    "timestamp": "2011-10-06T14:48:00.000Z"
}

POST /api/links/complete-profile/{userRef}

Name Description
redirect_uri Redirect the user when the transaction is completed (Optional)
validity Transaction lifetime in second (Optional)
Successful Response
1
2
3
4
5
6
7
8
{
    "link": "https://pulse-auth.neomia.ai/b/f0053658a16ae0f16b5973c3bd4dbb6235073a2d40ac9a73d62557e432643e44558b701ca723a214f8979be199e1975c",
    "key": "f0053658a16ae0f16b5973c3bd4dbb6235073a2d40ac9a73d62557e432643e44558b701ca723a214f8979be199e1975c",
    "expiresIn": 600000,
    "success": true,
    "message": "Done",
    "timestamp": "2011-10-04T14:48:00.000Z"
}

Not available

DELETE /api/links/{userRef}

Successful Response
1
2
3
4
5
{
    "success": true,
    "timestamp": "2011-09-04T14:48:00.000Z",
    "message": "Done"
}